;;;; type-errors-numbers.interval.impl.scm  -*- Scheme -*-

(define (error-range loc start end #!optional argnam)
  (signal-bounds-error loc (make-bad-argument-message argnam) start end) )

(define (error-interval loc num lft min max rgt #!optional argnam)
  (signal-bounds-error loc (make-error-interval-message lft min max rgt argnam) num) )

(define (error-closed-interval loc num min max #!optional argnam)
  (error-interval loc num #\[ min max #\] argnam) )

(define (error-open-interval loc num min max #!optional argnam)
  (error-interval loc num #\( min max #\) argnam) )

(define (error-half-open-interval loc num min max #!optional argnam)
  (error-interval loc num #\( min max #\] argnam) )

(define (error-half-closed-interval loc num min max #!optional argnam)
  (error-interval loc num #\[ min max #\) argnam) )
