;;;; type-checks-numbers.interval.scm  -*- Scheme -*-

(module (type-checks-numbers interval)

(;export
  ;
  check-range
  ;
  check-closed-interval check-open-interval
  check-half-closed-interval check-half-open-interval)

(import scheme)
(import (chicken base))			; for `include'
(import (chicken type))
(import type-checks-basic)
(import (type-errors-numbers interval))

(: check-closed-interval  (* number number number #!optional * -> number))
(: check-open-interval (* number number number #!optional * -> number))
(: check-half-closed-interval  (* number number number #!optional * -> number))
(: check-half-open-interval (* number number number #!optional * -> number))
(: check-range (* number number #!optional * -> number number))

(include "type-checks-numbers.interval.impl")

) ;module (type-checks-numbers interval)
